Rename a Slice ============== .. role:: green **Type:** :guilabel:`PUT` .. py:function:: https://cloud.syminet.com/api/v1/slices/{SLICE_ID}/rename Rename ``SLICE_ID`` to ``slice_name``. **Required URL Parameters:** SLICE_ID Slice ID **Required JSON Properties:** slice_name New slice name .. code-block:: shell :caption: Curl curl --request PUT \ --url https://cloud.syminet.com/api/v1/slices/SLICE_ID/rename \ --header "content-type: application/json" \ --header "authorization:bearer $API_TOKEN" \ --data ' { "slice_name": "example.com" } ' .. code-block:: json :caption: Response { "backups_disabled": null, "backups_enabled": true, "building": 0, "bw_current": 819280118, "bw_previous": 2762617237, "created": "2025-02-06 17:19:36.925397", "datacenter_id": 6, "deleted": null, "disk": 50, "disk_allocated": 21, "firewall": null, "flexip": null, "fw_id": null, "fw_status": null, "host_id": 44, "id": 3247, "ip": "216.218.185.10", "ip_private": "10.11.11.203", "isrunning": true, "last_backup": "2025-02-05 17:19:36.925397", "legacy": null, "notes": null, "osinfo": "debian12", "osname": "Debian 12", "percent_complete": null, "progress": null, "ram": 2, "region": "SFO1", "slug": "s-2gb", "smtp": true, "status": "active", "symscript_id": null, "user_id": 1423, "vcpu": 2, "vm_uuid": "41f8fc48-72d8-4000-ab3c-a4238b84a70c", "vmname": "11test1-3247" }